Commit 84bd467b authored by Jof Thibaut's avatar Jof Thibaut Committed by Samuel Thibault

Import Debian changes 0.8.14-0~stretch1

libcompizconfig-reloaded (0.8.14-0~stretch1) stretch; urgency=low

  * New upstream release.
    - rename source package to reloaded version
  * Bump standards to version 3.9.8.
  * Add override dh_strip to no create automatic dbgsym.

libcompizconfig (0.8.12.1-0~jessie1) jessie; urgency=low

  * New upstream release.
  * Update dh_makeshlibs with new version.  

libcompizconfig (0.8.12-0~jessie1) jessie; urgency=low

  * New upstream release.
    - forked on Github : Compiz Reloaded
    - many more bug fixes and improvements, see git log
  * Switch to format 3.0 (quilt).
  * Update compat and rules to debhelper 9.
  * Bump standards to version 3.9.6.
  * Change Priority to optional.
  * Update copyright to format 1.0 and Homepage link.
  * Override dh_makeshlibs to fix dependencies on libcompizconfig0.

libcompizconfig (0.8.4-2) unstable; urgency=medium

  * Medium urgency to fix RC bug in testing.
  * Disable protobuf to work around #572923.
  * Link libcompizconfig with -ldl (closes: #558875)

libcompizconfig (0.8.4-1) unstable; urgency=low

  * New upstream release.
    - Includes fix for "basic_string::_S_construct NULL not valid".
      (Closes: #531797)
  * Update Build-Depends against compiz-dev to 0.8.4-1 for ABI bump.

libcompizconfig (0.8.2-2) unstable; urgency=low

  * Let libcompizcore0 depend on compiz-core and
    compiz-core-abiversion-2009xxyy to avoid package mismatches.
  * Add Vcs-Git-* control headers.
  * Fix missing -abiversion in virtual dep.
  * Let libcompizconfig-dev dep on compiz-dev (>= 0.8.2) for the Requires:
    compiz libcompizconfig.pc.
  * Temporarily bump compiz-dev build-dep and dep to >= 0.8.2-6 to
    workaround FTBFS with current compiz-dev.

libcompizconfig (0.8.2-1) unstable; urgency=low

  * New upstream release.
  * Add gbp.conf for use with git-buildpackage
  * Add build-dep on libprotobuf-dev and protobuf-compiler.
  * Update Standards-Version to 3.8.1
  * Remove usr/share/compizconfig from libcompizconfig0.install
  * update build-dep version against compiz-dev

libcompizconfig (0.7.6-1) unstable; urgency=low

  * New upstream release.  Includes ABI change so build-deps changed
    accordingly.

libcompizconfig (0.7.4-2) unstable; urgency=low

  * Add build-deps on autoconf, automake1.9, libglib2.0-dev, and libtool 

libcompizconfig (0.7.4-1) unstable; urgency=low

  * New upstream release.
  * Update build-deps to compiz-dev >= 0.7.3

libcompizconfig (0.6.0-3) unstable; urgency=low

  * update/clarify copyright information in debian/copyright at the request of
    ftp-master.

libcompizconfig (0.6.0-2) unstable; urgency=low

  * ship the development package as libcompizconfig-dev, instead of
    libcompizconfig0-dev.

libcompizconfig (0.6.0-1) unstable; urgency=low

  * Initial release (Closes: #431787)
parent e3d550a3
libcompizconfig-reloaded (0.8.14-0~stretch1) stretch; urgency=low
* New upstream release.
- rename source package to reloaded version
* Bump standards to version 3.9.8.
* Add override dh_strip to no create automatic dbgsym.
-- Jof Thibaut <compiz@tuxfamily.org> Sat, 24 Jun 2017 21:48:35 +0200
libcompizconfig (0.8.12.1-0~jessie1) jessie; urgency=low
* New upstream release.
* Update dh_makeshlibs with new version.
-- Jof Thibaut <compiz@tuxfamily.org> Wed, 18 May 2016 14:52:23 +0200
libcompizconfig (0.8.12-0~jessie1) jessie; urgency=low
* New upstream release.
- forked on Github : Compiz Reloaded
- many more bug fixes and improvements, see git log
* Switch to format 3.0 (quilt).
* Update compat and rules to debhelper 9.
* Bump standards to version 3.9.6.
* Change Priority to optional.
* Update copyright to format 1.0 and Homepage link.
* Override dh_makeshlibs to fix dependencies on libcompizconfig0.
-- Jof Thibaut <compiz@tuxfamily.org> Fri, 26 Feb 2016 16:14:36 +0100
libcompizconfig (0.8.4-2) unstable; urgency=medium
* Medium urgency to fix RC bug in testing.
* Disable protobuf to work around #572923.
* Link libcompizconfig with -ldl (closes: #558875)
-- Julien Cristau <jcristau@debian.org> Sun, 04 Apr 2010 18:25:06 +0200
libcompizconfig (0.8.4-1) unstable; urgency=low
* New upstream release.
- Includes fix for "basic_string::_S_construct NULL not valid".
(Closes: #531797)
* Update Build-Depends against compiz-dev to 0.8.4-1 for ABI bump.
-- Sean Finney <seanius@debian.org> Thu, 11 Feb 2010 20:33:19 +0100
libcompizconfig (0.8.2-2) unstable; urgency=low
* Let libcompizcore0 depend on compiz-core and
compiz-core-abiversion-2009xxyy to avoid package mismatches.
* Add Vcs-Git-* control headers.
* Fix missing -abiversion in virtual dep.
* Let libcompizconfig-dev dep on compiz-dev (>= 0.8.2) for the Requires:
compiz libcompizconfig.pc.
* Temporarily bump compiz-dev build-dep and dep to >= 0.8.2-6 to
workaround FTBFS with current compiz-dev.
-- Loic Minier <lool@dooz.org> Fri, 24 Apr 2009 15:58:19 +0200
libcompizconfig (0.8.2-1) unstable; urgency=low
* New upstream release.
* Add gbp.conf for use with git-buildpackage
* Add build-dep on libprotobuf-dev and protobuf-compiler.
* Update Standards-Version to 3.8.1
* Remove usr/share/compizconfig from libcompizconfig0.install
* update build-dep version against compiz-dev
-- Sean Finney <seanius@debian.org> Sun, 05 Apr 2009 21:47:59 +0200
libcompizconfig (0.7.6-1) unstable; urgency=low
* New upstream release. Includes ABI change so build-deps changed
accordingly.
-- Sean Finney <seanius@debian.org> Tue, 03 Jun 2008 00:42:01 +0200
libcompizconfig (0.7.4-2) unstable; urgency=low
* Add build-deps on autoconf, automake1.9, libglib2.0-dev, and libtool
-- Sean Finney <seanius@debian.org> Tue, 20 May 2008 08:33:31 +0200
libcompizconfig (0.7.4-1) unstable; urgency=low
* New upstream release.
* Update build-deps to compiz-dev >= 0.7.3
-- Sean Finney <seanius@debian.org> Sun, 18 May 2008 19:58:13 +0200
libcompizconfig (0.6.0-3) unstable; urgency=low
* update/clarify copyright information in debian/copyright at the request of
ftp-master.
-- Sean Finney <seanius@debian.org> Sat, 17 Nov 2007 13:18:03 +0100
libcompizconfig (0.6.0-2) unstable; urgency=low
* ship the development package as libcompizconfig-dev, instead of
libcompizconfig0-dev.
-- Sean Finney <seanius@debian.org> Fri, 09 Nov 2007 08:41:37 +0100
libcompizconfig (0.6.0-1) unstable; urgency=low
* Initial release (Closes: #431787)
-- Sean Finney <seanius@debian.org> Wed, 07 Nov 2007 08:33:47 +0100
Source: libcompizconfig-reloaded
Section: libs
Priority: optional
Maintainer: Jof Thibaut <compiz@tuxfamily.org>
Build-Depends: debhelper (>= 9),
dh-autoreconf,
compiz-reloaded-dev (>= 0.8.14-0~),
intltool,
libglib2.0-dev,
libxml2-dev,
libxslt1-dev
Standards-Version: 3.9.8
Homepage: https://github.com/compiz-reloaded/libcompizconfig
Package: libcompizconfig-reloaded-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
libcompizconfig-reloaded-0 (= ${binary:Version})
Conflicts: libcompizconfig-dev
Replaces: libcompizconfig0
Description: Configuration settings library for compiz-reloaded - development files
Compiz Reloaded is the result of the re-unification of the Beryl-project
and the community around the Compiz Window Manager. It seeks to provide
an easy and fun-to-use windowing environment, allowing use of the
graphics hardware to provide impressive effects, amazing speed and
unrivalled usefulness
.
This package provides the development files for the compiz-reloaded
configuration system.
Package: libcompizconfig-reloaded-0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
${misc:Depends},
compiz-reloaded-core (>= 0.8.14-0~)
Conflicts: libcompizconfig0
Replaces: compiz-core
Description: Configuration settings library for compiz-reloaded
Compiz Reloaded is the result of the re-unification of the Beryl-project
and the community around the Compiz Window Manager. It seeks to provide
an easy and fun-to-use windowing environment, allowing use of the
graphics hardware to provide impressive effects, amazing speed and
unrivalled usefulness
.
This package provides the libraries and runtime files for the compiz-reloaded
configuration system.
Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: libcompizconfig-reloaded
Source: https://github.com/compiz-reloaded/libcompizconfig
Files: *
Copyright: 2007 Danny Baumann <maniac@beryl-project.org>
Dennis Kasprzyk <onestone@beryl-project.org>
Nicolas Devillard (ndevilla AT free DOT fr)
David Reveman <davidr@novell.com>
2015 Wolfgang Ulbrich <chat-to-me@raveit.de>
2016 Sorokin Alexei <sor.alexei@meowr.ru>
License(s):
The following copyright applies to the files:
- ./src/iniparser.c:
- ./src/iniparser.h:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Copyright (c) 2000 by Nicolas Devillard (ndevilla AT free DOT fr).
Written by Nicolas Devillard. Not derived from licensed software.
Permission is granted to anyone to use this software for any
purpose on any computer system, and to redistribute it freely,
subject to the following restrictions:
1. The author is not responsible for the consequences of use of
this software, no matter how awful, even if they arise
from defects in it.
2. The origin of this software must not be misrepresented, either
by explicit claim or by omission.
3. Altered versions must be plainly marked as such, and must not
be misrepresented as being the original software.
4. This notice may not be removed or altered.
================================================================================
================================================================================
The following copyright applies to the files:
- src/lists.c
- src/bindings.c
- src/config.c
- src/ini.c
- src/ccs-private.h
- src/filewatch.h
- src/main.c
- src/compiz.c
- plugin/ccp.c
- include/ccs-backend.h
- include/ccs.h
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* Copyright (C) 2007 Dennis Kasprzyk <onestone@opencompositing.org>
* Copyright (C) 2007 Danny Baumann <maniac@opencompositing.org>
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or (at your option) any later version.
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
*/
================================================================================
On Debian systems, the complete text of the GNU Lesser General Public
License, can be found in /usr/share/common-licenses/LGPL.
================================================================================
The following copyright applies to
- backend/ini.c
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* Copyright (c) 2007 Danny Baumann <maniac@opencompositing.org>
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
================================================================================
Files: debian/*
Copyright: 2007 Sean Finney <seanius@debian.org>
2016 Jof Thibaut <compiz@tuxfamily.org>
License: GPL-3
This package is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.
This package is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
You should have received a copy of the GNU General Public License
along with this package; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
On Debian systems, the complete text of the GNU General
Public License can be found in `/usr/share/common-licenses/GPL-3'.
usr/lib/libcompizconfig.so.*
usr/lib/compiz/*.so
usr/lib/compizconfig/backends/*.so
usr/share/compiz/*xml
etc/compizconfig/config
usr/include/*
usr/lib/pkgconfig
usr/lib/libcompizconfig.so
#!/usr/bin/make -f
# -*- makefile -*-
CORE_ABIVERSION := $(shell sed -rn 's/^\#define[[:space:]]+CORE_ABIVERSION[[:space:]]+//p' /usr/include/compiz/compiz-core.h )
%:
dh $@ --with autoreconf
override_dh_auto_configure:
dh_auto_configure -- --disable-protobuf \
--disable-static --libdir=/usr/lib
override_dh_install:
# remove unneeded .la files
find $(CURDIR)/debian/tmp -type f -name '*.la' -print0 | xargs -0 rm -f
dh_install --fail-missing
override_dh_makeshlibs:
dh_makeshlibs -plibcompizconfig-reloaded-0 -V'libcompizconfig-reloaded-0 (>= 0.8.14-0~)'
override_dh_strip:
dh_strip --no-automatic-dbgsym
override_dh_gencontrol:
dh_gencontrol -- -Vcoreabiversion=$(CORE_ABIVERSION)
version=3
opts=filenamemangle=s/.+\/release-?(\d\S*)\.tar\.gz/libcompizconfig-$1\.tar\.gz/ \
https://github.com/compiz-reloaded/libcompizconfig/tags .*/release-?(\d\S*)\.tar\.gz
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment